{
  home.sessionVariables.BROWSER = "qutebrowser";
  xdg.mimeApps.defaultApplications = {
    "application/xhtml+xml" = "org.qutebrowser.qutebrowser.desktop";
    "text/html" = "org.qutebrowser.qutebrowser.desktop";
  };
  programs.qutebrowser = {
    enable = true;
    searchEngines = {
      DEFAULT = "https://search.brave.com/search?q={}";
      w = "https://en.wikipedia.org/index.php?search={}";
      aw = "https://wiki.archlinux.org/?search={}";
      nw = "https://nixos.wiki/index.php?search={}";
      yt = "https://yewtu.be/results?search_query={}";
      pkgs = "https://search.nixos.org/packages?channel=unstable&query={}";
      opts = "https://search.nixos.org/options?channel=unstable&query={}";
      home = "https://mipmip.github.io/home-manager-option-search/?query={}";
    };
    settings = {
      colors = {
        webpage.preferred_color_scheme = "dark";
      };
      tabs = {
        background = false;
        indicator.width = 0;
        favicons.scale = 2.0;
        position = "left";
        show = "switching";
      };
    };
    keyBindings = {
      normal = {
        "gM" = "spawn mpv {url}";
        "M" = "hint links spawn mpv {hint-url}";
      };
    };
    extraConfig = ''
      c.tabs.padding = {
        "bottom" : 10,
        "left" : 5,
        "right" : 5,
        "top" : 10
      }
    '';
  };
}
